#include <bits/stdc++.h>

using namespace std;

int main()
{
    std::ios::sync_with_stdio(false);
    int N, L, H;
    cin >> N >> L;
    for(int i = 1; i <= N; i++)
    {
        cin >> H;
        if(H <= L)
        {
            cout << i;
            return 0;
        }
    }
    cout << -1;
    return 0;
}